Create Template

Creates a new template.

Body Params
files
array of objects
required

Document files can be uploaded by specifying a file URL or base64 string. Either file_url or file_base64 must be present (not both). Valid file types are: .pdf, .doc, .docx, .pages, .ppt, .pptx, .key, .xls, .xlsx, .numbers, .jpg, .jpeg, .png, .tiff, .tif, .webp, .html, and .htm

files*
string

The name of the template.

string

Email subject for the signature request that recipients will see. Defaults to the default system subject or a template subject (if the document is created from a template).

string

Email message for the signature request that recipients will see. Defaults to the default system message or a template message (if the document is created from a template).

placeholders
array of objects
required

Placeholders are generally job roles that must complete and/or sign the document. For example, a placeholder might be “Client” or “Legal Department”. When a document is created from the template, you assign a person to each placeholder.

placeholders*
copied_placeholders
array of objects

Copied placeholders are emailed the final document once it has been completed by all recipients.

copied_placeholders
boolean
Defaults to false

Whether the template can still be updated before it is ready for usage. If set to false the template is marked as Available and it will be ready for use. Defaults to false.

integer
≥ 1

Number of days before the signature request expires. Defaults to the account expiration setting or template expiration (if the document is created from a template).

boolean
Defaults to true

Whether to send signing reminders to recipients. Reminders are sent on day 3, day 6, and day 10 if set to true. Defaults to true.

boolean
Defaults to false

When set to true recipients will sign one at a time in the order of the recipients collection of this request.

uuid

Unique identifier for API Application settings to use. API Applications are optional and mainly used when isolating OAuth apps or for more control over embedded API settings

boolean
Defaults to false

An alternative way (if you can’t use the recommended way) of placing fields in specific locations of your document by using special text tags. Useful when changing the content of your files changes the location of fields. See API documentation for “Text Tags” for details. Defaults to false.

url

A URL that recipients are redirected to after successfully signing a document.

boolean
Defaults to true

Whether to allow recipients the option to decline signing a document. If multiple signers are involved in a document, any single recipient can cancel the entire document signing process by declining to sign.

boolean
Defaults to true

In some cases a signer is not the right person to sign and may need to reassign their signing responsibilities to another person. This feature allows them to reassign the document to someone else.

url

A URL that recipients are redirected to if the document is declined.

string

Sets the language for the template and documents created from the template for all recipient side interactions including the document email and the document itself. Accepted languages: English, Français, Español, Deutsch, Polski, Português, Dansk, Nederlands, Italiano, Русский, Svenska, العربية, Ελληνικά, Türkçe, Slovenčina. Language should be sent in ISO 639-1 format: en, fr, es, de, pl, pt, da, nl, it, ru, sv, ar, el, tr, sk.

metadata
object

Optional key-value data that can be associated with the document. If set, will be available every time the document data is returned.

fields
array of arrays of objects

Document fields placed on a document for collecting data or signatures from recipients. At least one field must be present in the Create Document request if draft is false (unless adding a signature page by using with_signature_page). Field data should be sent as a 2-dimensional JSON array. One array of fields is needed for each file in the files array. An array of fields can be empty if you have a file that does not contain any fields.

fields
attachment_requests
array of objects

Attachments that a recipient must upload to complete the signing process. Attachment requests are shown after all document fields have been completed.

attachment_requests
labels
array of objects

Labels can be used to organize documents in a way that can make it easy to find using the document search in SignWell. A document can have multiple labels.

labels
checkbox_groups
array of objects

Checkbox fields that are placed on a document can be grouped with selection requirements. At least 2 checkbox fields in an array of fields must be assigned to the same recipient.

checkbox_groups
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json